Name:		projectM-libvisual
Version:	2.0.1
Release:	9%{?dist}
Summary:	The projectM visualization plugin for libvisual
Group:		Applications/Multimedia
License:	GPLv2+ and LGPLv2+ and MIT
URL:		http://projectm.sourceforge.net/
Source0:	http://downloads.sourceforge.net/projectm/projectM_libvisual-%{version}-Source.tar.gz
Patch0:		projectM-libvisual-gcc46.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:	cmake, libprojectM-devel => %{version}, libvisual-devel = 0.4.0, SDL-devel

%description
This package allows the use of the projectM visualization plugin through any
libvisual compatible applications.

%prep
%setup -q -n projectM_libvisual-%{version}-Source
%patch0 -p1


%build
%cmake -DCMAKE_INSTALL_PREFIX=%{_prefix} -DLIB_INSTALL_DIR=%{_libdir} .
make %{?_smp_mflags} VERBOSE=1


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING
%{_libdir}/libvisual-0.4/

%changelog
* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.1-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.1-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.1-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Tue Feb 28 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.1-6
- Rebuilt for c++ ABI breakage

* Mon Jan 16 2012 Jameson Pugh <imntreal@gmail.com> - 2.0.1-5
- Added a patch for gcc 4.6 compatibility

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sat Jan 23 2010 Jameson Pugh (imntreal@gmail.com) - 2.0.1-2
-Rebuild for SONAME bump in libprojectM

* Sun Dec 13 2009 Jameson Pugh (imntreal@gmail.com) - 2.0.1-1
- New release

* Mon Oct 12 2009 Jameson Pugh (imntreal@gmail.com) - 1.2.0r1300-1
- New SVN version to prepare for v2

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Tue Nov 11 2008 Jameson Pugh (imntreal@gmail.com) - 1.2.0-4
- Updated license
- Corrected URL
- Minor change to BuildRequires
- Owned lib/libvisual-0.4 because libvisual doesn't create it

* Thu Nov 6 2008 Jameson Pugh (imntreal@gmail.com) - 1.2.0-3
- Removed line to delete .la files
- Cleaned up Requires

* Thu Nov 6 2008 Jameson Pugh (imntreal@gmail.com) - 1.2.0-2
- Fixed SOURCE0
- Added VERBOSE=1 to make line
- Added cmake to BR line

* Wed Sep 3 2008 Jameson Pugh (imntreal@gmail.com) - 1.2.0-1
- New release.

* Mon Mar 31 2008 Jameson Pugh (imntreal@gmail.com) - 1.1-1
- New release

* Wed Dec 5 2007 Jameson Pugh <imntreal@gmail.com> - 1.0-1
- Initial public release of the package
